package com.elink.esua.epdc.modules.analysis.service.impl.fallback;

import com.elink.esua.epdc.commons.tools.constant.ServiceConstant;
import com.elink.esua.epdc.commons.tools.utils.ModuleUtils;
import com.elink.esua.epdc.commons.tools.utils.Result;
import com.elink.esua.epdc.dto.topic.form.HotTopicFormDTO;
import com.elink.esua.epdc.dto.topic.form.NewHotTopicFormDTO;
import com.elink.esua.epdc.modules.analysis.feign.AnalysisTopicFeignClient;
import org.springframework.stereotype.Component;

/**
 * @Author LPF
 * @Date 2019/11/18 16:39
 */
@Component
public class AnalysisTopicFeignClientFallback implements AnalysisTopicFeignClient {


    @Override
    public Result test() {
        return ModuleUtils.feignConError(ServiceConstant.EPDC_ANALYSIS_SERVER, "test");
    }

    @Override
    public Result getHotTopicList(HotTopicFormDTO hotTopicFormDTO) {
        return ModuleUtils.feignConError(ServiceConstant.EPDC_ANALYSIS_SERVER, "getHotTopicList");
    }

    @Override
    public Result getNewTopicList(NewHotTopicFormDTO newHotTopicFormDTO) {
        return ModuleUtils.feignConError(ServiceConstant.EPDC_ANALYSIS_SERVER, "getNewTopicList");
    }

}
